Campaign applications

Reject a pending application (an already rejected one answers changed: false)

POST/api/public/v1/campaign_applications/{id}/deny
LiveAnswers from your brand's records now.

Operation id denyCampaignApplication

Request

curl

curl -X POST "https://creator.growthdept.ai/api/public/v1/campaign_applications/1024/deny" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
idpathintegerrequired

Responses

200Success

FieldTypeNotes
dataobject
data.campaign_affiliate_idinteger, nullable
data.campaign_idinteger
data.changedboolean
data.idinteger
data.statusstring
data.user_idinteger

Example

{
  "data": {
    "campaign_affiliate_id": 1024,
    "campaign_id": 1024,
    "changed": true,
    "id": 1024,
    "status": "string",
    "user_id": 1024
  }
}

Errors: 401403404422with an error and usually a message. See errors.

Example values are made up from each field's type and name.